<?php declare(strict_types=1);

namespace Infomaker\Everyware\Twig\Binary;

use Infomaker\Everyware\Support\Str;
use Twig\Compiler;
use Twig\Node\Expression\Binary\AbstractBinary;

/**
 * Class ContainsBinary
 * @package Infomaker\Everyware\Twig\Binary
 */
class ContainsBinary extends AbstractBinary
{
    public function compile(Compiler $compiler): void
    {
        $compiler
            ->raw(Str::class . '::contains((string)')
            ->subcompile($this->getNode('left'))
            ->raw(', ')
            ->subcompile($this->getNode('right'))
            ->raw(')');
    }

    public function operator(Compiler $compiler): Compiler
    {
        return $compiler->raw('contains');
    }
}
