<?php declare(strict_types=1);

namespace Infomaker\Everyware\Twig\Extension;

/**
 * Interface ResourceInterface
 * @package Infomaker\Everyware\Twig\Extension
 */
interface ExtensionResourceInterface
{
    /**
     * Return an array of resources to add to the extension
     * @return array
     */
    public function getResourceList(): array;

    /**
     * An interface to add resources of the Resource type
     * @param string $name
     * @param null   $callable
     * @param array  $options
     *
     */
    public function addResource(string $name, $callable = null, array $options = []): void;
}
